MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022878Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2011-12-27 12:232014-05-05 13:39
Reportermiv 
Assigned Tobugmaster 
PriorityhighSeverityminor 
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0022878: Errors during OCCT testing on Mandriva 2010 32 bit
DescriptionDuring testing current version of OCCT on Mandriva 2010 32 bit following problem cases appears:
BOM 002 F1 F3
    003 K1 K3 K3 K4
    005 A2 A2
    006 J1
    008 E4
    013 Q4
    014 S1 S2 S3 S4
    015 A2 D2 Q2 R3
    016 L1 L2 L3 L4
    017 C2 D2
    019 G2 H2
    020 N2
    102 R1
    904 C5
    911 G3
================
CDA 002 E6 F2
================
CFE 900 G1
================
CHE 002 C5 L1 L3
================
CHL 005 A2
    ------
    913 F9
    ------
    919 C1 R7
    ------
    922 Q4
    ------
    925 A3
    ------
    927 M6 M7 S8 V8
    -------
    937 A7
    -------
    913 K3
    -------
    922 H6
    -------
    Visual diffs: 900 B3
                  919 F4
                  922 I2 R8 T3 T4 U1 U3 X1 Y3 Y6
                  927 Y6
                  936 P1 Q2 Q7 U8 U9
================
OFF 001 A6
================

Results path(Mandriva 2010 32 bit)
/dn45/occttests/results/KAS/dev/products-20111222-opt_22122011/lin
Reference path(Madriva 2008 32 bit)
/dn45/occttests/results/KAS/dev/products-20111216-opt_17122011/lin
TagsNo tags attached.
Test case number
Attached Filesxls file icon Regressions.xls (22,016 bytes) 2012-01-23 13:21

- Relationships
related to 0022819closedbugmaster Redesign of OpenGl driver 

-  Notes
(0019041)
abv (manager)
2011-12-28 18:36

Sergey,

Please investigate the reason of reported differences in the test cases listed above between Mandriva 2010 (our desired new platform for testing OCCT) and Mandriva 2008 (our current platform).

Please contact Igor for configuring the environment if needed.

I suggest you consider BOM tests as least priority (they are known to be very unstable) and use Valgrind as a first step to filter out possible bugs that can be detected using that tool.
(0019236)
skv (developer)
2012-01-23 13:55

Julia,

I uploaded the file Regressions.xls that describes the current state of things with this issue. If you have questions about its data, you are welcome.

I would like also to add some details.

- This report doesn't include BOM tests as they are not considered for the moment.
- All my corrections are integrated in the SVN branch 22878
- My data on this bug are in the directory /dn27/users_Linux/skv/BUGS/OCCT22878
- Valgrind reports for all cases are in the directory /dn27/users_Linux/skv/BUGS/OCCT22878/valgrind
- Case CHL 925 A3. This test should be corrected as it has too hard failure condition. It is not done for the moment, but is agreed with INV.
- Case CHL 927 S8. Valgrind reports the error "Conditional jump or move depends on uninitialised value (s)", file IntPolyh_MaillageAffinage.cxx, line 2510. I found that this value is initialized in the object's constructor. It is not clear why valgrind reports it as the error. It needs to be more investigated.
- Strange behavior of cases CHL 909 B3, CHL 919 F4 is detected. They run under valgrind like on Mandriva 2008, but without valgrind the result is different.

Please continue this work, as I am bound to switch on another task.
(0019328)
abv (manager)
2012-02-01 12:48

Regressions in visualization are likely to be caused by problems in memory management; they are expected to be fixed by 0022819
(0020243)
abv (manager)
2012-04-03 09:55

Please re-run the tests to see how many of regressions persist on the current version of OCCT (6.5.3 beta 1)
(0020263)
mkv (tester)
2012-04-04 20:04
edited on: 2012-04-05 11:18

Dear BugMaster,

There are folowing regressions in KAS:dev:products-20120330-opt regarding to KAS:dev:products-20111216-opt
bom 002 F1 F3
bom 003 K1 K2 K3 K4
bom 005 A2
bom 006 J1
bom 008 E4
bom 013 Q4
bom 014 S1 S2 S3 S4
bom 015 A2 D2 Q2 R3
bom 016 L1 L2 L3 L4
bom 017 C2 D2
bom 019 G2 H2
bom 020 N2
bom 021 E2 E3 K2 K3
bom 102 R1
bom 904 C5
bom 911 G3

cda 002 E6 F2

CHL 913 F9
CHL 927 M6 M7 S8 V8
CHL 937 A7

OFF 001 A6

Visual diffs: CHL 927 Y6

Folowing regressions are disappeare in KAS:dev:products-20120330-opt regarding to KAS:dev:products-20111216-opt
CFE 900 G1

CHE 002 C5 L1 L3

CHL 905 A2
CHL 919 C1 R7
CHL 922 Q4
CHL 925 A3
CHL 913 K3
CHL 922 H6

See results in /QADisk/occttests/results/KAS/dev/products-20120330-opt_30032012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20111216-opt_17122011/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

(0023562)
abv (manager)
2013-03-02 10:40

The issue as it is formulated has no sense any more; however I beleieve it is necessary to check current status by comparing test results on Mandriva 2008 and 2010 before the issue could be closed

- Issue History
Date Modified Username Field Change
2011-12-27 12:23 miv New Issue
2011-12-27 12:23 miv Assigned To => miv
2011-12-27 15:34 miv Description Updated View Revisions
2011-12-27 15:42 miv Description Updated View Revisions
2011-12-27 15:42 miv Assigned To miv => abv
2011-12-27 15:42 miv Status new => assigned
2011-12-27 18:50 abv Priority normal => high
2011-12-28 18:11 abv Assigned To abv => skv
2011-12-28 18:36 abv Note Added: 0019041
2012-01-23 13:21 skv File Added: Regressions.xls
2012-01-23 13:55 skv Note Added: 0019236
2012-01-23 13:55 skv Assigned To skv => jgv
2012-02-01 12:48 abv Note Added: 0019328
2012-02-01 12:48 abv Relationship added related to 0022819
2012-02-02 10:07 abv Target Version 6.5.4 => 6.5.3
2012-03-21 14:02 abv Target Version 6.5.3 => 6.5.4
2012-04-03 09:55 abv Note Added: 0020243
2012-04-03 09:55 abv Assigned To jgv => bugmaster
2012-04-03 09:55 abv Status assigned => feedback
2012-04-03 16:16 bugmaster Assigned To bugmaster => mkv
2012-04-04 20:04 mkv Note Added: 0020263
2012-04-04 20:05 mkv Assigned To mkv => bugmaster
2012-04-04 20:05 mkv Status feedback => tested
2012-04-05 11:18 mkv Note Edited: 0020263 View Revisions
2012-04-05 11:52 bugmaster Assigned To bugmaster => jgv
2012-04-05 11:52 bugmaster Status tested => assigned
2012-10-21 12:06 abv Target Version 6.5.4 => 6.6.0
2013-03-02 10:40 abv Note Added: 0023562
2013-03-02 10:40 abv Target Version 6.6.0 => 6.7.0
2013-12-21 10:21 abv Target Version 6.7.0 => 6.7.1
2014-01-11 18:11 abv Assigned To jgv => bugmaster
2014-01-11 18:11 abv Status assigned => feedback
2014-01-14 13:02 bugmaster Status feedback => closed
2014-01-14 13:02 bugmaster Resolution open => no change required
2014-05-05 13:39 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker